using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 微信步数
    /// </summary>
    [SugarTable("YB_WXRun", TableDescription = "微信步数", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_WXRun
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 步数
        /// </summary>
        [SugarColumn(ColumnDescription = "步数")]
        public System.Int64 Step { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [SugarColumn(ColumnDescription = "时间", ColumnDataType = "date")]
        public System.DateTime CreateTime { get; set; }

        /// <summary>
        /// 时间戳形式
        /// </summary>
        [SugarColumn(ColumnDescription = "时间戳形式")]
        public System.Int64 TimeStamp { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public System.Int32 UserId { get; set; }
    }
}
